<?php
if (isset($_POST['new']))
{
	$sql = "INSERT INTO Admin (ID, Firma_ID) VALUES (NULL, \"" . PREFIX . "\");";
	$stmt = $db->prepare($sql);
	if (!$stmt)
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
	}
	if (!$stmt->execute())
	{
		die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
	}
	$sql = 'SELECT last_insert_id() AS last';
	$result = $db->query($sql);
	$nt = $result->fetch_assoc();
	$ID = $nt['last'];
}
else
{
	$ID = $_POST['ID'];
}
if ("" == $_POST['Password'])
{
	$Pass = "";
}
else
{
	if ($_POST['Password'] == $_POST['Password2'])
	{
		$Pass = "Password =			\"" . md5($_POST['Password']) . "\",\n";
	}
	else
	{
		$Pass = "";
		echo "<h2>Das Passwort wurde nicht gespeichert! Die Passwörter stimmen nicht überein!</h2>\n";
	}
}
$sql = "UPDATE Admin SET
			Vorname =		\"" . $_POST['Vorname'] . "\",
			Nachname =		\"" . $_POST['Nachname'] . "\",
			User =			\"" . $_POST['User'] . "\",
			" . $Pass . "
			Telefon =		\"" . $_POST['Telefon'] . "\",
			Mobil =			\"" . $_POST['Mobil'] . "\",
			EMail =			\"" . $_POST['EMail'] . "\"
		WHERE
			ID =			\"" . $ID . "\";";
$stmt = $db->prepare($sql);
if (!$stmt)
{
	die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
}
if (!$stmt->execute())
{
	die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
}
$_POST['ID'] = $ID;
echo "<h2>Benutzerdaten wurden gespeichert</h2>\n";
include __DIR__ . "/user_edit.php";